API

Get Started

WelcomeQuickstartExamplesChangelogSDKs and ToolsOrder Limits

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Instrument Details

GETGet all instrumentsGETGet instrument

Market Data

POSTGet quotesPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeks
HelpFeedback
Instrument Details

Get instrument

GET/userapigateway/trading/instruments/{symbol}/{type}

Parameters

Path Parameters

string
string

Parameters

NameTypeRequiredDescription
symbolstringYes-
typestringEQUITYOPTIONMULTI_LEG_INSTRUMENTCRYPTOALTTREASURYBONDINDEXYes-

Body

application/json

No request body defined

Responses

Response

200
application/json
instrumentrequired
tradingenum<string>required
Available options: BUY_AND_SELL,LIQUIDATION_ONLY,DISABLED
fractionalTradingenum<string>required
Available options: BUY_AND_SELL,LIQUIDATION_ONLY,DISABLED
optionTradingenum<string>required
Available options: BUY_AND_SELL,LIQUIDATION_ONLY,DISABLED
optionSpreadTradingenum<string>required
Available options: BUY_AND_SELL,LIQUIDATION_ONLY,DISABLED
instrumentDetailsunknown
shortingAvailabilityenum<string>

The short-selling availability.

Available options: NOT_SHORTABLE,EASY_TO_BORROW,HARD_TO_BORROW
hardToBorrowPercentageRatestring

The hard to borrow rate as a percentage value.

optionContractPriceIncrements

Record representing price increments below and above $3.

exchangestring

Exchange where the instrument is traded.

exchangeNamestring

The name of the exchange where the instrument is traded.

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "instrument": {
    "symbol": "string",
    "type": "EQUITY"
  },
  "trading": "BUY_AND_SELL",
  "fractionalTrading": "BUY_AND_SELL",
  "optionTrading": "BUY_AND_SELL",
  "optionSpreadTrading": "BUY_AND_SELL",
  "instrumentDetails": null,
  "shortingAvailability": "NOT_SHORTABLE",
  "hardToBorrowPercentageRate": "string",
  "optionContractPriceIncrements": {
    "incrementBelow3": "string",
    "incrementAbove3": "string"
  },
  "exchange": "string",
  "exchangeName": "string"
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more